WordPress.org

Ready to get started?Download WordPress

Forums

Fatal error: Cannot redeclare the_editor() (2 posts)

  1. vernajjabat
    Member
    Posted 1 year ago #

    I have attempted to upgrade version 3.4.2 but got this error.

    Fatal error: Cannot redeclare the_editor() (previously declared in /home/xxx/public_html/wp-includes/general-template.php:1789) in /home/xxx/public_html/wp-includes/deprecated.php on line 2636

    what should I do? HELP!

  2. WPProHelp
    Member
    Posted 1 year ago #

    Did you upgrade WordPress from the dashboard? If so, go for a manual upgrade of WordPress. Follow the below procedure:

    1. Download the latest version of WordPress from here

    2. Make a backup of all your WordPress files and MySQL database.

    3. Delete the directories wp-admin and wp-includes.

    4. Delete all files from the root of your website starting with "wp-" except the wp-config.php file.

    5. Extract the downloaded version of WordPress and upload all files and directories except the wp-content directory and the wp-config.php file.

    6. To perform the upgrade, navigate to http://yoursitename/wp-admin/upgrade.php and follow the on screen steps.

    That should do the trick.

Topic Closed

This topic has been closed to new replies.

About this Topic